Bug 1176244 - Missing dependency to 'bsdtar' for '/usr/bin/repo-add'
Summary: Missing dependency to 'bsdtar' for '/usr/bin/repo-add'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pacman
Version: 20
Hardware: All
OS: All
unspecified
urgent
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-19 20:24 UTC by Sven Heyll
Modified: 2015-01-17 05:50 UTC (History)
3 users (show)

Fixed In Version: pacman-4.1.2-4.20130626git28cb22e.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-08 23:29:35 UTC


Attachments (Terms of Use)

Description Sven Heyll 2014-12-19 20:24:45 UTC
Description of problem:

'repo-add' is completely broken. It rejects every package:

==> ERROR: 'mypkg-1.0.0-1-x86_64.pkg.tar.gz' is not a package file, skipping


Version-Release number of selected component (if applicable):
4.1.2

How reproducible:
Always.

Steps(Shellscript) to Reproduce:

#!/bin/bash

set -xe

# yum install pacman wget
# yum remove bsdtar

wget https://www.archlinux.org/packages/extra/x86_64/check/download/ -O check.pkg.tar.xz

testpkg check.pkg.tar.xz

repo-add test.db.tar.gz check.pkg.tar.xz

# ===================================================

Actual results:
==> ERROR: 'check.pkg.tar.xz' is not a package file, skipping
==> No packages modified, nothing to do.


Expected results:
==> Adding package 'check.pkg.tar.xz'
  -> Computing checksums...
  -> Creating 'desc' db entry...
  -> Creating 'depends' db entry...
==> Creating updated database file 'test.db.tar.gz'


Workaround: Install 'bsdtar'

Comment 1 Fedora Update System 2015-01-07 14:48:46 UTC
pacman-4.1.2-4.20130626git28cb22e.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pacman-4.1.2-4.20130626git28cb22e.fc21

Comment 2 Fedora Update System 2015-01-07 14:59:01 UTC
pacman-4.1.2-4.20130626git28cb22e.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pacman-4.1.2-4.20130626git28cb22e.fc20

Comment 3 Fedora Update System 2015-01-07 23:53:46 UTC
Package pacman-4.1.2-4.20130626git28cb22e.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pacman-4.1.2-4.20130626git28cb22e.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0352/pacman-4.1.2-4.20130626git28cb22e.fc21
then log in and leave karma (feedback).

Comment 4 lnie 2015-01-08 08:43:16 UTC
pacman-4.1.2-4.20130626git28cb22e.fc21 works

Comment 5 Fedora Update System 2015-01-08 23:29:35 UTC
pacman-4.1.2-4.20130626git28cb22e.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-01-17 05:50:50 UTC
pacman-4.1.2-4.20130626git28cb22e.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.